services:
  vaultwarden:
    command:
    - /start.sh
    container_name: vaultwarden
    environment:
      DEBIAN_FRONTEND: noninteractive
      DOMAIN: https://vaultwarden.pressmess.duckdns.org
      IP_HEADER: X-Real-IP
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      ROCKET_ADDRESS: 0.0.0.0
      ROCKET_PORT: '80'
      ROCKET_PROFILE: release
      TRUSTED_PROXIES: 192.168.50.0/24
      WEBSOCKET_ENABLED: 'true'
      WEBSOCKET_PORT: '80'
      WEB_VAULT_ENABLED: 'true'
    image: vaultwarden/server:latest
    ports:
    - 3012:3012/tcp
    - 8088:80/tcp
    restart: unless-stopped
    volumes:
    - /home/jonathan/vaultwarden/data:/data:rw
    working_dir: /
